<section class="portfolio-block projects-cards mt-5">
  <div class="container">
    <div class="heading">
      <h1 class="title-style">{{constants.GENERIC_CONVERTOR_TITLE}}</h1>
    </div>

    <form #converterForm="ngForm" class="shadow-lg border" (ngSubmit)="converterForm.form.valid && convert()">
      <div class="row">

        <div class="col col-12"><label class="form-label">{{constants.ORIGIN_BASE_POWER}}</label>
          <input [(ngModel)]="originBasePower"
                 class="form-control border"
                 [ngClass]="{'border-danger': errors, 'border-warning': !converterForm.form.controls['originBasePower']?.valid }"
                 id="originBasePower"
                 name="originBasePower"
                 type="text"
                 required
                 minlength="1"
                 pattern="^([2-9]|1[0-9]|2[0-5])$"
                 (click)="clearError()">
        </div>

        <div class="col col-12 mt-4"><label class="form-label">{{constants.NUMERIC_VALUE}}</label>
          <input [(ngModel)]="numericValue"
                 class="form-control border"
                 [ngClass]="{'border-danger': errors, 'border-warning': !converterForm.form.controls['numericValue']?.valid}"
                 id="numericValue"
                 name="numericValue"
                 type="text"
                 required
                 minlength="1"
                 (click)="clearError()">
        </div>

        <div class="col col-12 mt-4"><label class="form-label">{{constants.FINAL_BASE_POWER}}</label>
          <input [(ngModel)]="finalBasePower"
                 class="form-control border"
                 [ngClass]="{'border-danger': errors, 'border-warning': !converterForm.form.controls['finalBasePower']?.valid }"
                 id="finalBasePower"
                 name="finalBasePower"
                 type="text"
                 required
                 minlength="1"
                 pattern="^([2-9]|1[0-9]|2[0-5])$"
                 (click)="clearError()">
        </div>

        <div class="col col-12 mt-4"><label class="form-label">{{constants.RESULT_VALUE}}</label>
          <input id="resultValue" name="resultValue" class="form-control border" type="text" readonly
                 [(ngModel)]="resultValue">
        </div>

        <div class="row text-center mt-4 mb-4" *ngIf="errors">
          <span *ngFor="let message of errorMessages" class="text-danger mt-1">{{ message }}</span>
        </div>

        <div class="row text-center mt-4 mb-2">
          <div class="col">
            <button class="btn"
                    [ngClass]="{'btn-primary': converterForm.form.valid, 'btn-secondary': !converterForm.form.valid}"
                    data-bss-hover-animate="pulse" type="submit">
              {{ isLoading ? constants.LOADING_BUTTON : constants.OPERATION_BUTTON }}
            </button>
          </div>
          <div class="col">
            <button class="btn btn-info" data-bss-hover-animate="pulse" (click)="clean(converterForm)">
              {{constants.CLEAN_BUTTON}}
            </button>
          </div>
        </div>

      </div>
    </form>

  </div>

</section>
